#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 34. GNOME Applications

- Prev

  Baobab-41.0

- Next

  Cheese-41.1

- Up
- Home

# Brasero-3.12.3

## Introduction to Brasero

Brasero is an application used to burn CD/DVD on the GNOME Desktop. It is designed to be as simple as possible and has some unique features that enable users to create their discs easily and quickly.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/brasero/3.12/brasero-3.12.3.tar.xz

- Download (FTP): ftp://ftp.acc.umu.se/pub/gnome/sources/brasero/3.12/brasero-3.12.3.tar.xz

- Download MD5 sum: ae48248dd36f89282d573eb7a0a1391f

- Download size: 3.0 MB

- Estimated disk space required: 105 MB

- Estimated build time: 1.0 SBU

### Brasero Dependencies

#### Required

gst-plugins-base-1.20.0, itstool-2.0.7, libcanberra-0.30, and libnotify-0.7.9

#### Recommended

gobject-introspection-1.70.0, libburn-1.5.4, libisoburn-1.5.4, and libisofs-1.5.4, Nautilus-41.2, Tracker-3.2.1, and totem-pl-parser-3.26.6

#### Optional

GTK-Doc-1.33.2

#### Recommended (Runtime)

dvd+rw-tools-7.1 and Gvfs-1.48.1

#### Optional (Runtime)

Cdrdao-1.2.4, libdvdcss-1.4.3, Cdrtools-3.02a09, and VCDImager

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/brasero

## Installation of Brasero

Install Brasero by running the following commands:

    ./configure --prefix=/usr                \
                --enable-compile-warnings=no \
                --enable-cxx-warnings=no     &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`--enable-*-warnings=no`: These switches fix build problems under GCC-6.x compilers.

`--enable-gtk-doc`: Use this parameter if GTK-Doc is installed and you wish to rebuild and install the API documentation.

## Contents

Installed Programs: brasero
Installed Libraries: libbrasero-{burn,media,utils}3.so, and /usr/lib/nautilus/extensions-3.0/libnautilus-brasero-extension.so
Installed Directories: /usr/include/brasero3, /usr/lib/brasero3, /usr/share/brasero, /usr/share/gtk-doc/html/libbrasero-{burn,media}, and /usr/share/help/*/brasero

### Short Descriptions

brasero | is a simple and easy to use CD/DVD burning application for the GNOME Desktop
`libbrasero-burn3.so` | contains the Burning API functions
`libbrasero-media3.so` | contains the Media API functions
`libbrasero-utils3.so` | contains the Brasero API functions

Last updated on

- Prev

  Baobab-41.0

- Next

  Cheese-41.1

- Up
- Home